> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/prebuilts-repository/update-repository-config/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Update repository configuration PATCH https://example.itential.io/prebuilts-repository/configs/{name} Content-Type: application/json Updates an existing repository configuration. Reference: https://docs.itential.com/itential-cloud/api-reference/prebuilts-repository/update-repository-config ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `name` (string, required) — The name of the repository configuration ### Body (application/json) This endpoint expects an object. - `updates` (object, optional) - `enabled` (boolean, optional) — A flag that denotes if the repository configuration is connected - `type` (enum, optional) — The type of Repository - Allowed values: `gitlab` - `hostname` (string, optional) — The hostname of the Respository endpoint - `path` (string, optional) — The path of the Repository endpoint - `credentials` (object, optional) - `token` (string, optional) — An access token used to make HTTP requests ## Response ### 200 The result of the update process - `status` (enum, optional) — The status of the API request. - Allowed values: `OK`, `Created` - `message` (string, optional) — Message containing either confirmation of the operation or the reason for the failure of the operation. - `data` (object, optional) — This is the schema for a Repository Configuration used to fetch Prebuilts - `enabled` (any, required) - `type` (any, required) - `hostname` (any, required) - `path` (any, required) - `credentials` (any, required) - `versionStatus` (enum, optional, default: latest) — The version status of the Pre-built Automation in relation to the current IAP version - Allowed values: `current`, `latest` ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Request** ```json {} ``` **Response** ```json { "status": "OK", "message": "A sample success message", "data": { "versionStatus": "latest" } } ``` **SDK Code** ```python import requests url = "https://example.itential.io/prebuilts-repository/configs/name" payload = {} headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/prebuilts-repository/configs/name'; const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.itential.io/prebuilts-repository/configs/name" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/prebuilts-repository/configs/name") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://example.itential.io/prebuilts-repository/configs/name") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://example.itential.io/prebuilts-repository/configs/name', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/prebuilts-repository/configs/name"); var request = new RestRequest(Method.PATCH); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/prebuilts-repository/configs/name")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```